## org.biojava.bio.seq.io.agave
Class AGAVEMatchRegion

    java.lang.Object
      org.biojava.bio.seq.io.agave.AGAVEMatchRegion

public class AGAVEMatchRegion
extends java.lang.Object

* match_region * * @author Hanning Ni Doubletwist Inc * @author Greg Cox

Constructor Summary
`AGAVEMatchRegion()`

Method Summary
`AGAVEDbId` `getDbId()`
`java.lang.String` `getElementId()`
`int` `getEnd()`
`int` `getStart()`
`void` `setDbId(AGAVEDbId id)`
`void` `setElementId(java.lang.String id)`
`void` `setEnd(int end)`
`void` `setStart(int start)`
`java.lang.String` `toString()`
`java.lang.String` `toString(java.lang.String indent, java.lang.String indent_unit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AGAVEMatchRegion

    public AGAVEMatchRegion()

Method Detail

### setStart

    public void setStart(int start)

### setEnd

    public void setEnd(int end)

### setElementId

    public void setElementId(java.lang.String id)

### setDbId

    public void setDbId(AGAVEDbId id)

### getStart

    public int getStart()

### getEnd

    public int getEnd()

### getElementId

    public java.lang.String getElementId()

### getDbId

    public AGAVEDbId getDbId()

### toString

    public java.lang.String toString(java.lang.String indent,
                                     java.lang.String indent_unit)

### toString

    public java.lang.String toString()